View Issue Details

IDProjectCategoryView StatusLast Update
0001920SymmetricDSNew Featurepublic2014-09-15 16:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.0 
Target VersionFixed in Version3.6.6 
Summary0001920: Redshift database dialect
DescriptionImplement a dialect for Amazon Redshift database as a target-only database where data can be loaded but not captured.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 8b3da503

2014-08-15 16:02:13

erilong

Details Diff
0001920: Redshift database dialect
0001920
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/JdbcSymmetricDialectFactory.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/redshift/RedshiftSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ModelComparator.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseNamesConstants.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DmlStatementFactory.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/redshift/RedshiftDdlBuilder.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/redshift/RedshiftDmlStatement.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/redshift/RedshiftDatabasePlatform.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/redshift/RedshiftDdlReader.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/redshift/RedshiftJdbcSqlTemplate.java Diff File

SymmetricDS: master 31187c62

2014-08-25 11:13:00

erilong

Details Diff
0001920: Redshift database dialect - fix protocol error in version 9 driver
0001920
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/redshift/RedshiftDatabasePlatform.java Diff File

SymmetricDS: master f5d28856

2014-08-25 11:16:29

erilong

Details Diff
0001920: Redshift database dialect - fix reloads from redshift source
0001920
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/redshift/RedshiftSymmetricDialect.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/redshift/RedshiftTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SequenceService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SequenceServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/redshift/RedshiftJdbcSqlTemplate.java Diff File

SymmetricDS: master f85dda22

2014-08-25 11:17:13

erilong

Details Diff
0001920: Redshift database dialect - add bullk loader
0001920
mod - symmetric-client/pom.xml Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/RedshiftBulkDataLoaderFactory.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/io/RedshiftBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/resources/symmetric-ext-points.xml Diff File
mod - symmetric-parent/pom.xml Diff File

SymmetricDS: master 424b0b7c

2014-08-25 12:24:15

erilong

Details Diff
0001920: Redshift database dialect - add bullk loader
0001920
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: master cf3d0c90

2014-08-25 12:24:55

erilong

Details Diff
0001920: Redshift database dialect - add filters to bullk loader
0001920
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/RedshiftBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/RedshiftBulkDatabaseWriter.java Diff File

SymmetricDS: master b40e94b6

2014-08-25 14:40:24

erilong

Details Diff
0001920: Redshift database dialect - add documentation in appendix
0001920
mod - symmetric-assemble/src/docbook/databases.xml Diff File
mod - symmetric-assemble/src/docbook/resources/xsl/docbook-html-chunk.xsl Diff File
mod - symmetric-assemble/src/docbook/resources/xsl/docbook-html.xsl Diff File

SymmetricDS: master 7312ebc1

2014-09-15 15:46:53

erilong

Details Diff
0001920: Redshift database dialect
0001920
mod - symmetric-server/pom.xml Diff File

Issue History

Date Modified Username Field Change
2014-08-15 15:54 elong New Issue
2014-08-15 15:54 elong Status new => assigned
2014-08-15 15:54 elong Assigned To => elong
2014-08-15 17:00 Changeset attached => SymmetricDS trunk r8615
2014-08-25 12:00 Changeset attached => SymmetricDS trunk r8638
2014-08-25 12:00 Changeset attached => SymmetricDS trunk r8639
2014-08-25 12:00 Changeset attached => SymmetricDS trunk r8640
2014-08-25 13:00 Changeset attached => SymmetricDS trunk r8641
2014-08-25 13:00 Changeset attached => SymmetricDS trunk r8642
2014-08-25 14:44 elong Status assigned => resolved
2014-08-25 14:44 elong Fixed in Version => 3.6.6
2014-08-25 14:44 elong Resolution open => fixed
2014-08-25 15:00 Changeset attached => SymmetricDS trunk r8643
2014-08-27 15:36 chenson Status resolved => closed
2014-09-15 16:00 Changeset attached => SymmetricDS trunk r8697
2015-07-30 21:49 Changeset attached => SymmetricDS master 7312ebc1
2015-07-30 21:49 Changeset attached => SymmetricDS master b40e94b6
2015-07-30 21:49 Changeset attached => SymmetricDS master cf3d0c90
2015-07-30 21:49 Changeset attached => SymmetricDS master 424b0b7c
2015-07-30 21:49 Changeset attached => SymmetricDS master f85dda22
2015-07-30 21:49 Changeset attached => SymmetricDS master f5d28856
2015-07-30 21:49 Changeset attached => SymmetricDS master 31187c62
2015-07-30 21:49 Changeset attached => SymmetricDS master 8b3da503